<?php

namespace app\admin\model;

use think\Model;


class Carfines extends Model
{

    

    

    // 表名
    protected $table = 'car_fines';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'fines_time_text'
    ];
    

    



    public function getFinesTimeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['fines_time']) ? $data['fines_time'] : '');
        return is_numeric($value) ? date("Y-m-d H:i:s", $value) : $value;
    }

    protected function setFinesTimeAttr($value)
    {
        return $value === '' ? null : ($value && !is_numeric($value) ? strtotime($value) : $value);
    }


    public function car()
    {
        return $this->belongsTo('Car', 'car_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function coach()
    {
        return $this->belongsTo('Coach', 'coach_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
